Create a Task

Usage Note

  • When templateID is passed, the request payload can be empty or can have attributes that need to be overridden by the template. Example: POST workflow/v1/tasks?view=entity&templateId={templateId}.
Query Params
boolean

Specify True to allow create task in a completed task group. Default is True.

boolean

Use “true” to indicate the task assignment based on the task template role. If the task template has a role assignment, and the milestone or milestonefree logs of the loan has a user assigned to that role, the API assigns that user the task. Default is "false".

string

Association Entity ID.

string

Association Entity Type.

boolean

Indicates whether duplicates are allowed for same task template. The default is False, so duplicates are allowed by default.

string

Relationship to Task Service.

string

The unique identifier of the template to use when creating the task.

string

Possible value is entity. When view entity is passed, the response body will include the entire updated data contract of the posted resource.

string

Type of task to create.

Body Params
string

Name of the task.

string

Description of the task.

string

Type of task.

customAttributes
array of objects

Custom Attributes of the task.

customAttributes
associations
array of objects
associations
boolean

Indicates if the task is required to mark the parent as complete.

string

Status of the task. Possible values are:

  • NOT_STARTED
  • IN_PROGRESS
  • COMPLETED
string

Resolution of the task.

string

Resolution comment of the task.

integer

Priority of the task.

string

Rank of the task to indicate the sort order. Items with lower rank are presented items with higher rank.

tags
array of strings

Tags on the task.

tags
metadata
object

Task related information.

boolean

Flag to indicate whether the task will be marked complete if all required sub entities under the task are completed.

string

Unique identifier of the task group, if present.

assignee
object

Primary assignee of the task.

workEntity
object

Work Entity of the task.

string

Due date of the task.

string

UTC Datetime on which task is started.

string

UTC Datetime on which task is completed.

integer

Duration for task to be completed.

string

Duration format for task to be completed. Possible values are:

  • Minute
  • Hour
  • Day
    For example, ['Minute', 'Hour', 'Day']
Headers
string
required

Bearer token

Responses

400

Bad Request

401

Unauthorized

403

Forbidden

404

Not Found

500

Internal Server Error

Language
URL
LoadingLoading…
Response
Choose an example:
application/json